## org.hibernate.dialect.function
Class StandardAnsiSqlAggregationFunctions

    java.lang.Object
      org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions

    public class StandardAnsiSqlAggregationFunctions

extends Object

TODO : javadoc

Author:
  Steve Ebersole

Nested Class Summary
`static class` `StandardAnsiSqlAggregationFunctions.AvgFunction` Definition of a standard ANSI SQL compliant `AVG` function
`static class` `StandardAnsiSqlAggregationFunctions.CountFunction` Definition of a standard ANSI SQL compliant `COUNT` function
`static class` `StandardAnsiSqlAggregationFunctions.MaxFunction`
`static class` `StandardAnsiSqlAggregationFunctions.MinFunction`
`static class` `StandardAnsiSqlAggregationFunctions.SumFunction`

Constructor Summary
`StandardAnsiSqlAggregationFunctions()`

Method Summary
`static void` `primeFunctionMap(Map<String,SQLFunction> functionMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardAnsiSqlAggregationFunctions

    public StandardAnsiSqlAggregationFunctions()

Method Detail

### primeFunctionMap

    public static void primeFunctionMap(Map<String,SQLFunction> functionMap)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.